View Issue Details

IDProjectCategoryView StatusLast Update
0027534Open CASCADEOCCT:Modeling Algorithmspublic2020-09-21 10:02
Reporteremv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
PlatformWindowsOSVC++ 2013 
Product Version7.0.0 
Target Version7.4.0Fixed in Version7.4.0 
Summary0027534: [Regression to 6.9.1]: Infinite loop in Curve on Surface projection algorithm
DescriptionThe projection of the circle on the sphere, both converted to b-splines, is hanging.

The problem is not reproduced on the following configurations:
Win7 + VC10 + without TBB
Win7 + VC12 + without TBB
Win10 + VC12 + without TBB (MSI GX-60 laptop)
Win7 + VC12 + with TBB
Steps To Reproducetest bugs moddata_3 bug27534
TagsNo tags attached.
Test case numberbugs/moddata_3/bug27534

Relationships

related to 0030892 assignedemv Community Modeling Algorithms - Improve Extrema_ExtPS algorithm by unifying the GRAD and TREE methods 

Activities

git

2016-05-25 13:10

administrator   ~0054386

Branch CR27534 has been created by aml.

SHA-1: 59cb71b807bb34b5be03bdf3563417c9c0827af3


Detailed log of new commits:

Author: aml
Date: Wed May 25 11:01:34 2016 +0300

    0027534: [Regression to 6.9.1]: Infinite loop in Curve on Surface projection algorithm
    
    Test case is added.

git

2016-05-25 14:36

administrator   ~0054388

Branch CR27534 has been updated forcibly by aml.

SHA-1: f2e0ad1eca58e31e428e87b14dc0c0afc538b5c6

msv

2016-05-25 15:56

developer   ~0054397

The bug is not reproduced on Win VC++ 2010.

aml

2016-05-26 10:54

developer   ~0054428

Draw[12]> sphere s 0 0 0 10
Draw[13]> circle c 0 0 0 0 0 1 10
Draw[14]> trim c c 0 pi
Draw[15]> mkface f s
Draw[16]> mkedge e c
Draw[17]> nurbsconvert f f
Draw[18]> nurbsconvert e e
Draw[19]> mksurface s f
Draw[20]> mkcurve c e
Draw[21]> project c2d c s -t 0.2
Draw[22]> dversion
Open CASCADE Technology 7.0.1.dev
Debug mode
TBB enabled (HAVE_TBB)
GL2PS enabled (HAVE_GL2PS)
FreeImage enabled (HAVE_FREEIMAGE)
OpenCL disabled
VTK enabled (HAVE_VTK)
Exceptions enabled
Compiler: MS Visual C++ 12.0 (_MSC_FULL_VER = 180031101)
Architecture: AMD64
OS: Windows

Draw[23]>

aml

2016-05-26 10:54

developer   ~0054429

Problem cannot be reproduced on my workstation.

git

2019-09-03 15:39

administrator   ~0086689

Branch CR27534 has been updated forcibly by aml.

SHA-1: 5c75be9a12c68c6331875ca78153a60cd0488233

git

2019-09-03 15:43

administrator   ~0086690

Branch CR27534 has been updated forcibly by aml.

SHA-1: 0eb6b47af45669e681e054abe805cd9cbb4969f3

aml

2019-09-03 15:43

developer   ~0086691

Dear msv,
The problem is not reproducible on the actual master (2019-08-30). Could you please review the CR27534 branch containing test case?

msv

2019-09-03 16:45

developer   ~0086695

Please run test in jenkins.

git

2019-09-04 06:48

administrator   ~0086709

Branch CR27534 has been updated forcibly by aml.

SHA-1: ef78c1df85cc3ffa76868792604b6f627f4f723a

git

2019-09-04 06:52

administrator   ~0086710

Branch CR27534 has been updated forcibly by aml.

SHA-1: 1568171114b3a07f6067e2ed1db3e60f1afc952a

git

2019-09-04 09:55

administrator   ~0086713

Branch CR27534 has been updated forcibly by aml.

SHA-1: e7e4c9d1be8c20add8f48c9fd8db87863c966008

aml

2019-09-05 06:46

developer   ~0086768

Dear msv,
results of testing are here:
http://occt-tests/CR27534-master-aml-OCCT/Windows-64-VC14/diff_summary.html
http://occt-tests/CR27534-master-aml-OCCT/Debian80-64/diff_summary.html

Please note, that I added todo since test produces different results on windows and linux:
http://occt-tests/CR27534-master-aml-OCCT/Debian80-64/bugs/moddata_3/bug27534.html
http://occt-tests/CR27534-master-aml-OCCT/Windows-64-VC14/bugs/moddata_3/bug27534.html

msv

2019-09-05 09:39

developer   ~0086773

It seems the result is good on Linux. So, please remove '?' from TODO and restrict TODO only with Windows version.

git

2019-09-05 10:01

administrator   ~0086774

Branch CR27534 has been updated forcibly by aml.

SHA-1: d9d4ab33d4c7076aefc59a376fe7ebbc000a9e67

aml

2019-09-05 10:03

developer   ~0086775

Dear msv,
Could you please check the CR27534 branch?

msv

2019-09-05 10:11

developer   ~0086777

Reviewed.

git

2019-09-07 16:26

administrator   ~0086931

Branch CR27534 has been deleted by inv.

SHA-1: d9d4ab33d4c7076aefc59a376fe7ebbc000a9e67

Related Changesets

occt: master 7a740876

2019-09-03 12:36:07

aml


Committer: bugmaster Details Diff
0027534: [Regression to 6.9.1]: Infinite loop in Curve on Surface projection algorithm

Add test case.
Affected Issues
0027534
add - tests/bugs/moddata_3/bug27534 Diff File

Issue History

Date Modified Username Field Change
2016-05-24 10:39 emv New Issue
2016-05-24 10:39 emv Assigned To => msv
2016-05-24 11:11 msv Assigned To msv => aml
2016-05-24 11:11 msv Status new => assigned
2016-05-25 13:10 git Note Added: 0054386
2016-05-25 14:36 git Note Added: 0054388
2016-05-25 15:53 msv OS => Windows
2016-05-25 15:53 msv Platform => VC12-x64
2016-05-25 15:55 msv OS Windows => VC++ 2013
2016-05-25 15:55 msv OS Version => 64 bit
2016-05-25 15:55 msv Platform VC12-x64 => Windows
2016-05-25 15:56 msv Note Added: 0054397
2016-05-26 07:49 aml Description Updated
2016-05-26 07:57 aml Description Updated
2016-05-26 10:49 aml Description Updated
2016-05-26 10:53 aml Assigned To aml => msv
2016-05-26 10:54 aml Note Added: 0054428
2016-05-26 10:54 aml Note Added: 0054429
2016-05-30 10:08 aml Description Updated
2016-10-28 17:03 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:09 msv Target Version 7.3.0 => 7.4.0
2019-08-12 16:45 msv Target Version 7.4.0 => 7.5.0
2019-09-03 13:15 aml Assigned To msv => aml
2019-09-03 15:39 git Note Added: 0086689
2019-09-03 15:43 git Note Added: 0086690
2019-09-03 15:43 aml Note Added: 0086691
2019-09-03 15:43 aml Assigned To aml => msv
2019-09-03 15:43 aml Status assigned => resolved
2019-09-03 15:43 aml Steps to Reproduce Updated
2019-09-03 16:45 msv Note Added: 0086695
2019-09-03 16:45 msv Assigned To msv => aml
2019-09-03 16:45 msv Status resolved => assigned
2019-09-04 06:48 git Note Added: 0086709
2019-09-04 06:52 git Note Added: 0086710
2019-09-04 09:55 git Note Added: 0086713
2019-09-05 06:46 aml Note Added: 0086768
2019-09-05 06:46 aml Assigned To aml => msv
2019-09-05 06:46 aml Status assigned => resolved
2019-09-05 09:39 msv Note Added: 0086773
2019-09-05 09:40 msv Assigned To msv => aml
2019-09-05 09:40 msv Status resolved => assigned
2019-09-05 10:01 git Note Added: 0086774
2019-09-05 10:03 aml Note Added: 0086775
2019-09-05 10:03 aml Assigned To aml => msv
2019-09-05 10:03 aml Status assigned => resolved
2019-09-05 10:11 msv Note Added: 0086777
2019-09-05 10:11 msv Assigned To msv => bugmaster
2019-09-05 10:11 msv Status resolved => reviewed
2019-09-05 18:25 bugmaster Test case number => bugs/moddata_3/bug27534
2019-09-05 18:26 bugmaster Status reviewed => tested
2019-09-06 16:56 msv Target Version 7.5.0 => 7.4.0
2019-09-07 11:38 bugmaster Changeset attached => occt master 7a740876
2019-09-07 11:38 bugmaster Status tested => verified
2019-09-07 11:38 bugmaster Resolution open => fixed
2019-09-07 16:26 git Note Added: 0086931
2020-09-21 10:02 abv Relationship added related to 0030892